##
##  zlib.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         zlib
Summary:      Compression Library
URL:          http://www.zlib.net/
Vendor:       Jean-loup Gailly, Mark Adler
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        CORE
Group:        Compression
License:      MIT
Version:      1.3.1
Release:      20240125

#   list of sources
Source0:      http://www.zlib.net/zlib-%{version}.tar.gz
Patch0:       zlib.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    ZLIB is designed to be a free, general-purpose, legally unencumbered
    - that is, not covered by any patents - lossless data-compression
    library for use on virtually any computer hardware and operating
    system. The zlib data format is itself portable across platforms.
    Unlike the LZW compression method used in Unix compress(1) and in
    the GIF image format, the compression method currently used in
    zlib essentially never expands the data. (LZW can double or triple
    the file size in extreme cases). ZLIB's memory footprint is also
    independent of the input data and can be reduced, if necessary, at
    some cost in compression.

%track
    prog zlib = {
        version   = %{version}
        url       = http://www.zlib.net/
        regex     = zlib-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --static
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        mandir=$RPM_BUILD_ROOT%{l_prefix}/man
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

